Bug 42371 - linuxconf hangs on exit or in network config after upg to kernel 2.4.4 - also gets broken pipe
linuxconf hangs on exit or in network config after upg to kernel 2.4.4 - also...
Product: Red Hat Linux
Classification: Retired
Component: linuxconf (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-25 21:06 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 13:48:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-25 21:06:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (Win98; U)

Description of problem:
After installing RH7.1 standard, selecting "Everything" from the  package menu, upgrading to the newest updates on RH's page, and 
installing 2.4.4 kernel, linuxconf will lock when entering the network config section, or when exiting. I let it sit there once for 5 
minutes, and nothing happened. I can hit CTRL-C and it will return me to a shell prompt, but if I try to run linuxconf again it tells me 
broken pipe. The only way to run it again is to reboot, but it will lock if I run it again.  (this is the console version, I haven't tried this 
in the GUI yet)

How reproducible:

Steps to Reproduce:
1.Install Red Hat 7.1
2.Upgrade Red Hat with the updates on their web page
3.Upgrade the kernel to 2.4.4
4.Run linuxconf

Actual Results:  Locks up in network section or when exiting linuxconf.
Pressing CTRL-C returns you to a shell prompt
Running linuxconf again issues a broken pipe
Only way to run linuxconf again is to reboot.

Expected Results:  It to work without locking up. =)

Additional info:

Red Hat Linux 7.1 Std installed. Custom selection, "everything" is installed from the package menu. I've set this up on two totally 
different machines (one dual P3-866 on a VIA board, and one P4-1.4GHz on an Intel based board). 

Different nics also. The VIA based one had 2 3Com 905B-TXMNs, while the P4 had a Linksys LNE100TX

This only happens after upgrading to 2.4.4 kernel. If I install all of the updates off of Red Hat's page and use the stock kernel, 
everything is happy, but after I upg to 2.4.4 is when it locks. I haven't tried recompiling the stock source tree for the kernel.
Comment 1 Need Real Name 2001-06-09 09:37:12 EDT
Have also had similar problems under 2.4.4 Is not a motherboard/processor/RAM
issue since have recently gone from a VIA Apollo Pro with a celeron 500 + 128Mb
SDRAM to an unknown  462 SIS with a Duron 800 + 256 Mb SDRAM, and have also had
the same problem. Occurs when I try to edit mout point attributes or just run
linuxconf --text, and have to reboot to be able to re-run linuxconf without the
broken pipe message.  Would rank this as fairly severe since I can't change any
settings via linuxconf without the program locking up - settings are not saved.
Comment 2 Need Real Name 2001-06-16 02:34:22 EDT
Upgraded kernel to 2.4.5 and problem vanished. Maybe it's a kernel module
thingy, but linuxconf now works fine with the --text option - haven't tried the
gnome extensions though.
Comment 3 Brent Fox 2002-06-05 12:23:41 EDT
Closing because we don't ship linuxconf anymore
Comment 4 Red Hat Bugzilla 2006-02-21 13:48:00 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.